---
title: "Gets a list of all lease schedules."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-leases/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets a list of all lease schedules.

`GET` `/v1/leases`

## Query parameters

- `loadOptions` (object, optional) - The load options object.

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/leases:
    get:
      parameters:
        - description: The load options object.
          in: query
          name: loadOptions
          schema:
            $ref: "#/components/schemas/TesmaLoadOptions"
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TesmaLoadResult_LeaseScheduleResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
      summary: Gets a list of all lease schedules.
      tags:
        - LeaseSchedule
security:
  - PersonalAccessToken: []
components:
  schemas:
    TesmaLoadOptions:
      additionalProperties: false
      properties:
        filter:
          items: {}
          type:
            - "null"
            - array
        group:
          items:
            $ref: "#/components/schemas/GroupingInfo"
          type:
            - "null"
            - array
        groupSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
        isCountQuery:
          type: boolean
        requireGroupCount:
          type: boolean
        requireTotalCount:
          type: boolean
        select:
          items:
            type: string
          type:
            - "null"
            - array
        skip:
          format: int32
          type: integer
        sort:
          items:
            $ref: "#/components/schemas/SortingInfo"
          type:
            - "null"
            - array
        take:
          format: int32
          type: integer
        totalSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
      type: object
    TesmaLoadResult_LeaseScheduleResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: "#/components/schemas/LeaseScheduleResponse"
          type:
            - "null"
            - array
          x-is-public: true
        groupCount:
          default: -1
          format: int32
          type: integer
        summary:
          items: {}
          type:
            - "null"
            - array
        totalCount:
          default: -1
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    GroupingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        groupInterval:
          type:
            - "null"
            - string
        isExpanded:
          type:
            - "null"
            - boolean
        selector:
          type:
            - "null"
            - string
      type: object
    SummaryInfo:
      additionalProperties: false
      properties:
        selector:
          type:
            - "null"
            - string
        summaryType:
          type:
            - "null"
            - string
      type: object
    SortingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        selector:
          type:
            - "null"
            - string
      type: object
    LeaseScheduleResponse:
      additionalProperties: false
      properties:
        actualLeaseEndDate:
          format: date
          type:
            - "null"
            - string
        actualLeaseTerm:
          format: int32
          type: integer
        cancellationDate:
          format: date
          type:
            - "null"
            - string
        currency:
          type:
            - "null"
            - string
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        isCanceled:
          type: boolean
        isCarbonZero:
          type: boolean
        leaseOrderNumber:
          type:
            - "null"
            - string
        leaseScheduleId:
          format: int32
          type: integer
        leaseScheduleReference:
          type:
            - "null"
            - string
        leaseStartDate:
          format: date
          type:
            - "null"
            - string
        locationOfInstallation:
          type:
            - "null"
            - string
        minimumLeaseTermEndDate:
          format: date
          type:
            - "null"
            - string
        minimumLeaseTermStartDate:
          format: date
          type: string
        periodicalPrice:
          format: double
          type:
            - "null"
            - number
        plannedLeaseEndDate:
          format: date
          type:
            - "null"
            - string
        requestedEndDate:
          format: date
          type:
            - "null"
            - string
        status:
          $ref: "#/components/schemas/LeaseScheduleStatus"
        usagePeriod:
          $ref: "#/components/schemas/UsagePeriod"
      type: object
    CustomerContextResponse:
      additionalProperties: false
      properties:
        customerName:
          type:
            - "null"
            - string
        customerNumber:
          format: int32
          type: integer
        leaseCompany:
          format: int32
          type: integer
        leaseCompanyName:
          type:
            - "null"
            - string
      type: object
    LeaseScheduleStatus:
      enum:
        - unknown
        - initial
        - active
        - inactive
      type: string
    UsagePeriod:
      enum:
        - monthly
        - quarterly
        - semiyearly
        - yearly
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
